# propsim
# NOTES FROM DEV
All refactors are made with chatGPT

Expected outputs from test are shit, just igonore. ChatGpt cant handle it

I dont know how to make correct asserts. Python type system is also shitty, IM DONE

For bath size = 1 , the results are matching

For bath size = 4 , the results are similar

For bath size = 4 in old variable names, the results are similar

For bath size = 4 in refactored variable names, it fails, GPT4 could not just change var names without screwing it/

For other bath sizes, it runs, but i would need to run all tests again to compare.

Ive printed the results in console and commented the tests like this

#Legacy code returned those values

#EXPECTED = {'pi_c': [10, 15.0, 20.0, 25.0, 30.0], 'F_m0': [887.5681661568327, 905.4...

#This test returned those values

#RESULT   = [EngineOutputs(compressor_pressure_ratio=10.00075, specific_thrust=887.57...


## Getting started

To make it easy for you to get started with GitLab, here's a list of recommended next steps.

Already a pro? Just edit this README.md and make it your own. Want to make it easy? [Use the template at the bottom](#editing-this-readme)!

## Add your files

- [ ] [Create](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
- [ ] [Add files using the command line](https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:

```
cd existing_repo
git remote add origin https://gitlab.com/edipo.as/propsim.git
git branch -M main
git push -uf origin main
```
